<?php

namespace Teknisa\CADEST\Services;

class Layout {

	protected $entityManager;

	public function __construct(\Doctrine\ORM\EntityManager $entityManager)  {
		$this->entityManager = $entityManager;
	}
	
	public function findPosicaoDisponivelBD ($params) {
		$qry = $this->entityManager->getConnection()->fetchAll(self::BUSCA_POSICOES_DISPONIVEIS, $params);
		return $qry;
	}
	
	const BUSCA_POSICOES_DISPONIVEIS = "
	  SELECT DISTINCT I.NRBUTTON
	  FROM ITMENUCONFTE I
	  INNER JOIN CONFTELA O ON I.CDFILIAL = O.CDFILIAL
	  AND I.NRCONFTELA = O.NRCONFTELA
	  INNER JOIN PRODUTO P ON I.CDIDENTBUTON = P.CDPRODUTO
	  WHERE  I.CDFILIAL = :CDFILIAL
	    AND I.NRCONFTELA = :NRCONFTELA
	    AND I.NRBUTTONAUX = :NRBUTTONAUX
	    AND I.NRPGCONFTAUX = :NRPGCONFTAUX
	    AND (IDTPBUTONAUX2 IS NULL
	         OR IDTPBUTONAUX2 = 0)
	    AND (NRBUTTONAUX2 IS NULL
	         OR NRBUTTONAUX2 = 0)
	    AND (NRPGCONFTAUX2 IS NULL
	         OR NRPGCONFTAUX2 = 0)
	    AND I.NRORG = :NRORG
	    AND I.NRPGCONFTELA = :NRPGCONFTELA ORDER BY 1"
 ;
}